首页 \ 问答 \ sudo gem安装cocoapods --pre错误(sudo gem install cocoapods --pre error)

sudo gem安装cocoapods --pre错误(sudo gem install cocoapods --pre error)

今天我要用swift 3.0,所以我想用cocoapods来安装Alamofire 4.0,但终端注意到需要cocoapods 1.1.0,我的pod是1.0.1,所以我用sudo gem install cocoapods --pre update,但是得到错误

在这里输入图像描述


today I going to use swift 3.0, so I want to use cocoapods to install Alamofire 4.0, but terminal note that require cocoapods 1.1.0, my pods is 1.0.1, so I use sudo gem install cocoapods --pre to update, But get error

enter image description here


原文:https://stackoverflow.com/questions/39584844
更新时间:2021-07-31 16:07

最满意答案

错误说的是你不能写: /usr/bin 。 试试这个,看看它是否有任何区别:

sudo gem install -n /usr/local/bin cocoapods --pre

What the error says is that you can't write to: /usr/bin. Try this and see if it makes any difference:

sudo gem install -n /usr/local/bin cocoapods --pre

相关问答

更多
  • 对于其他人想知道同样的事情,安装宝石将永远是这样。 如果你运行: sudo gem install cocoapods -V 使用标志V进行安装会启用详细的输出,这将使您能够看到所有的输出正在通过下载和安装,这是相当多的。 For others wondering the same, installing the gem takes forever. If you run: export GEM_HOME=~/.gems export PATH=$GEM_HOME/bin:$PATH gem insta ...
  • 我通过运行以下命令解决了这个问题: sudo chown -R username:groupname ~/Library/Caches/CocoaPods 和 sudo chown -R username:groupname ~/.cocoapods 请用您的Mac登录用户名/组username替换username和组名。 I solved this problem by running the following command: sudo chown -R username:groupname ~/ ...
  • 首先安装一个老版本的'activesupport'(它与Ruby 2.0和cocoapods兼容),然后安装cocoapods。 sudo gem install activesupport -v 4.2.6 First install an old version of 'activesupport' (which is both compatible with ruby 2.0 and with cocoapods) and then install cocoapods. sudo gem instal ...
  • 您可以先通过手动安装兼容的activesupport来使其工作。 sudo gem install activesupport -v 4.2.6 sudo gem install cocoapods You can make it work by manually installing a compatible activesupport first. sudo gem install activesupport -v 4.2.6 sudo gem install cocoapods
  • 在我的ruby版本中似乎搞砸了。 我仍然不知道为什么和为什么。 我已设法通过此解决方案修复它: https : //stackoverflow.com/a/25021772/849616 。 一切都正常后。 It seems something got messed up in my ruby version. I still have no idea what and why. I've managed to fix it via this solution: https://stackoverflow. ...
  • 尝试安装预发布版本: sudo gem install cocoapods --pre Try installing the pre-release version: sudo gem install cocoapods --pre
  • 最后我找到了答案: 刚连接到您的个人热点并使用以下命令: $ sudo gem install cocoapods --source http://rubygems.org finally i found the answer: just connected to ur personal Hotspot and use following command: $ sudo gem install cocoapods --source http://rubygems.org
  • 将此添加到PodFile Pod'Firebase pod 'Firebase' 在该文件终端中运行此命令。 pod install 将导入文件添加到您的.swift import Firebase Add this into PodFile pod 'Firebase' Run this command in that file terminal. pod install Add import file to your .swift import Firebase
  • 错误说的是你不能写: /usr/bin 。 试试这个,看看它是否有任何区别: sudo gem install -n /usr/local/bin cocoapods --pre What the error says is that you can't write to: /usr/bin. Try this and see if it makes any difference: sudo gem install -n /usr/local/bin cocoapods --pre
  • 更多的评论而不是答案,但我没有足够的评论声望: 当你使用your-project.xcodeproject pod install时,它会创建一个名为your-project.xcodeworkspace的新文件/文件夹( …project into …workspace ),这是你应该打开的这个新文件。 你没有提到你是否知道这一点,所以在这里:关闭Xcode中的.xcodeproject并打开.xcodeworkspace它应该可以工作。 More a comment than an answer, bu ...

相关文章

更多

最新问答

更多
  • 在可观察字段Knocout中显示$符号(Display $ sign in observable fields Knocout)
  • 全局和设备功能之间的差异(Difference between global and device functions)
  • ARM,MCU,DSP,FPGA,SOC各是什么?区别是什么
  • Facebook JavaScript SDK登录(Facebook JavaScript SDK Login)
  • 会计实操有没有用,北京哪家会计培训最好?
  • 字段列表错误中的MySQL未知列(MySQL Unknown column in fieldlist error)
  • 在DOM深层获取评论节点(Get comment nodes in DOM deep level)
  • 2015年的会计上岗证培训那里好,在西安
  • 将long lat转换为google maps long lat(converting long lat to google maps long lat)
  • XSD xs:列表混乱(XSD xs:list confusion)
  • 在Wordpress中,有没有办法让导航下拉菜单显示一个类别中的帖子?(In Wordpress, is there a way to make the navigation drop down menu show posts in a category?)
  • 当我想清空名为python的列表时,del a [:]和a = []之间有什么区别?(what is the difference between del a[:] and a = [] when I want to empty a list called a in python? [duplicate])
  • 我的第一个项目入门与设备之间的连接(Getting started with my first project with connectivity between devices)
  • azure site-to-site-vpn不允许流量通过(azure site-to-site-vpn does not let traffic through)
  • GoogleMaps - 调用onPause()(GoogleMaps - calling onPause())
  • 教师爱岗敬业演讲稿
  • 我正在编写c#代码,其中我想从Active Directory中搜索特定用户的详细信息(I am writing c# code wherein I want search for the details of a specific user from Active Directory)
  • sonar lint插件无法读取lint-results.xml(sonar lint plugin fails reading lint-results.xml)
  • Swift UITableView - 如何将新项目置于列表底部而不是列表的底部?(Swift UITableView - How to put new items on top not on the bottom of the list?)
  • 无法将“System.DBNull”类型的对象强制转换为MySQL Image的“System.Byte []”类型[复制](Unable to cast object of type 'System.DBNull' to type 'System.Byte[]' for MySQL Image [duplicate])
  • 在这种情况下我为Android登录RESTful api调整了什么?(What i adjust for android login into RESTful api in this conditions?)
  • 使用DBMS的C#VSTO(C# VSTO with DBMS)
  • 在NSTableView中更改自定义按钮单元格的图像(Change image of custom button cell inside NSTableView)
  • 从数据库中选择数据,选择任何行(select data from database with where selected any rows)
  • 与Grails持续集成(Continuous Integration with Grails [closed])
  • Laravel 4中的嵌套控制器(Nested Controllers in Laravel 4)
  • Qt - 插槽完成后不要销毁线程(Qt - don't destroy thread after slot is finished)
  • mysql 主从配置 需要什么网络环境
  • Spring 4可选> @RequestParam(Spring 4 Optional> @RequestParam)
  • 移动类型char,类似的赋值行为不同(Shifting a type char, similar assignments behave differently)